Bug 1121673 - [abrt] xchat: gtk_xtext_selection_clear(): xchat killed by SIGSEGV
Summary: [abrt] xchat: gtk_xtext_selection_clear(): xchat killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xchat
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Aillon (sabbatical, not receiving bugmail)
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c1e98e90ce714f53c16df473574...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 14:44 UTC by Pavel Moravec
Modified: 2015-02-18 11:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:47:13 UTC


Attachments (Terms of Use)
File: backtrace (19.09 KB, text/plain)
2014-07-21 14:44 UTC, Pavel Moravec
no flags Details
File: cgroup (154 bytes, text/plain)
2014-07-21 14:44 UTC, Pavel Moravec
no flags Details
File: core_backtrace (8.98 KB, text/plain)
2014-07-21 14:44 UTC, Pavel Moravec
no flags Details
File: dso_list (9.96 KB, text/plain)
2014-07-21 14:44 UTC, Pavel Moravec
no flags Details
File: environ (1.41 KB, text/plain)
2014-07-21 14:44 UTC, Pavel Moravec
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-21 14:44 UTC, Pavel Moravec
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-21 14:44 UTC, Pavel Moravec
no flags Details
File: maps (47.46 KB, text/plain)
2014-07-21 14:44 UTC, Pavel Moravec
no flags Details
File: open_fds (2.47 KB, text/plain)
2014-07-21 14:44 UTC, Pavel Moravec
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2014-07-21 14:44 UTC, Pavel Moravec
no flags Details
File: var_log_messages (306 bytes, text/plain)
2014-07-21 14:44 UTC, Pavel Moravec
no flags Details

Description Pavel Moravec 2014-07-21 14:44:18 UTC
Description of problem:
Typing in some channel (no connectivity problems) and trying to mark&copy&paste some text via mouse buttons from channel history - this action has not been completed, but the real trigger might start before htis.

Version-Release number of selected component:
xchat-2.8.8-19.fc19

Additional info:
reporter:       libreport-2.2.1
backtrace_rating: 4
cmdline:        xchat
crash_function: gtk_xtext_selection_clear
executable:     /usr/bin/xchat
kernel:         3.13.11-100.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_xtext_selection_clear at xtext.c:1146
 #1 gtk_xtext_set_clip_owner at xtext.c:2090
 #2 gtk_xtext_button_press at xtext.c:2266
 #3 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #8 gtk_widget_event_internal at gtkwidget.c:5017
 #9 gtk_widget_event at gtkwidget.c:4814
 #10 gtk_propagate_event at gtkmain.c:2490
 #11 gtk_main_do_event at gtkmain.c:1685
 #17 gtk_main at gtkmain.c:1257
 #18 fe_main at fe-gtk.c:290

Potential duplicate: bug 818466

Comment 1 Pavel Moravec 2014-07-21 14:44:22 UTC
Created attachment 919643 [details]
File: backtrace

Comment 2 Pavel Moravec 2014-07-21 14:44:24 UTC
Created attachment 919644 [details]
File: cgroup

Comment 3 Pavel Moravec 2014-07-21 14:44:25 UTC
Created attachment 919645 [details]
File: core_backtrace

Comment 4 Pavel Moravec 2014-07-21 14:44:27 UTC
Created attachment 919646 [details]
File: dso_list

Comment 5 Pavel Moravec 2014-07-21 14:44:28 UTC
Created attachment 919647 [details]
File: environ

Comment 6 Pavel Moravec 2014-07-21 14:44:29 UTC
Created attachment 919648 [details]
File: exploitable

Comment 7 Pavel Moravec 2014-07-21 14:44:31 UTC
Created attachment 919649 [details]
File: limits

Comment 8 Pavel Moravec 2014-07-21 14:44:33 UTC
Created attachment 919650 [details]
File: maps

Comment 9 Pavel Moravec 2014-07-21 14:44:34 UTC
Created attachment 919651 [details]
File: open_fds

Comment 10 Pavel Moravec 2014-07-21 14:44:35 UTC
Created attachment 919652 [details]
File: proc_pid_status

Comment 11 Pavel Moravec 2014-07-21 14:44:36 UTC
Created attachment 919653 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-01-09 21:27:49 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-02-18 11:47:13 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.